<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Lampeggiatore per LED di potenza con MOSFET" identificatoreArgomento="esercizio33" prerequisiti="digitalOutput,pwm,transistorswitch,multipsu" tags="Base,DigitalOutput,PWM,Software,Circuiti con più alimentazioni" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" tipoTempo="Ore" versione="1">
    <mdprerequisitelist>Funzionamento del MOSFET N come interruttore</mdprerequisitelist>
    <mdprerequisitelist>Circuiti con più alimentazioni</mdprerequisitelist>
    <mdprerequisitelist>PWM</mdprerequisitelist>
    <mdcomponentlist>MOSFET di tipo N a 5V, ad esempio IRLZ44N o equivalente</mdcomponentlist>
    <mdcomponentlist>Resistore da 10 Ohm</mdcomponentlist>
    <mdcomponentlist>Resistore da 10 kOhm</mdcomponentlist>
    <mdcomponentlist>Batteria da 9V e connettore specifico</mdcomponentlist>
    <mdcomponentlist>LED da alimentare con la batteria: 3 LED dello stesso tipo (in serie) con un resistore da 220 Ohm per limitare la corrente.</mdcomponentlist>
    <mdwhy>Nei sistemi embedded il microcontrollore può avere una tensione diversa da quella del resto del circuito, oppure si può avere un carico da controllare che consuma troppo.&#13;
&#13;
Un lampeggiatore, se fatto con un relè e lasciato acceso per lunghi periodi, non è una buona soluzione, per via dell'usura dei contatti presenti all'interno.&#13;
&#13;
Il BJT è poco efficiente, se si ha in progetto di controllare LED ad alta potenza si dovrà usare il MOSFET.</mdwhy>
    <mdexpectedresult>Utilizzare Arduino per far lampeggiare una serie di LED alimentati da una batteria a 9V, utilizzando come interruttore un MOSFET per ottenere la massima efficienza energetica e dover così dissipare meno calore.</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior>N/A</mderraticbehavior>
    <mdcommonerrors>Attenzione: eventuali errori di connessione causano danni ai componenti.</mdcommonerrors>
    <mdlessonlearned>Gestire un carico con alimentazione esterna diversa da quella del microcontrollore, sempre in bassa tensione, collegando in modo corretto, insieme, le masse delle fonti di alimentazione.</mdlessonlearned>
    <mdsolution>Collegare il GPIO scelto al gate del MOSFET come indicato nell'immagine (da sinistra Gate, Drain, Source).</mdsolution>
    <mdpbldetails></mdpbldetails>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>MOSFET_Switch_bb.png</nomeFile>
            <testoDescrittivo>Lampeggiatore con MOSFET su breadboard</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>05-MOSFET_Switch_schem.png</nomeFile>
            <testoDescrittivo>Schema lampeggiatore con MOSFET</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
</itemFormativoEsercizio>
